@font-face {
    font-family: Techfont;
    src: url('/font/Techfont.ttf');
}

html {
    overflow: hidden;
    font-size: 18px;
}

body {
    font-family: 'Techfont';
    margin: 0px;
    padding: 0px;
    background-color: #ffffff;
}

::selection {
    color: #fff;
    background: #1a4645;
}

.header {
    height: 100vh;
    background-color: #1a4645;
}

.logoGif {
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

lottie-player {
    width: 60%;
}

.nav {
    position: relative;
    display: flex;
    height: inherit;
    align-items: center;
    justify-content: center;
    padding: 0 2rem;
}

.title {
    position: relative;
    display: flex;
    align-items: center;
    flex-direction: row;
    color: #ffffff;
    font-size: 1rem;
    margin-right: 1rem;
    height: 100%;
}

.title img {
    height: 90%;
}

.bg {
    position: relative;
    height: calc(100vh - 5rem);
}

.banner {
    display: flex;
    overflow: hidden;
}

.banner img {
    opacity: 0.5;
    height: calc(50vh - 2.5rem);
}

.knofi {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: flex;
    flex-wrap: nowrap;
}

.knofi button {
    font-family: 'Techfont';
    font-size: 4rem;
    padding: 4rem;
    min-width: 25vw;
    color: #ffffff;
    border: none;
    border-radius: 2rem;
    margin: 1.5vw;
    cursor: pointer;
    transition: 0.5s;
}

.knofi button:hover {
    box-shadow: inset 0px 0px 25px #ffffff;
    transform: translateY(-1rem);
}

.knofi button:active {
    transform: translateY(0.5rem);
}

#storitve {
    background-color: #ffd51e;
}

#projekti {
    background-color: #f58800;
}

#oMeni {
    background-color: #266867;
}

.coding {
    position: absolute;
    bottom: 6rem;
    height: 8rem;
    width: 100%;
    background-color: #266867;
    opacity: 0.8;
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: white;
    font-size: 2rem;
    font-weight: bold;
    letter-spacing: 1vw;
}

.cdTekst {
    margin-left: 2vw;
}

.coding img {
    height: 225%;
    margin-right: 1vw;
    margin-bottom: 1rem;
}

.bg2 {
    position: relative;
}

.ref {
    width: 65vw;
    height: 12rem;
    display: flex;
    align-items: center;
    justify-content: end;
    position: relative;
    margin-top: 100px;
    background-color: #266867;
    margin-right: 0;
    margin-left: auto;
    opacity: 0.8;
    color: white;
    font-size: 5rem;
    cursor: pointer;
    pointer-events: none;
    transition: font-size 0.4s ease-out;
}

.ref .txt,
.ref i,
.ref #reference {
    pointer-events: auto;
}

.ref .txt {
    margin: 0 1vw 0 1vw;
}

.ref:hover {
    font-size: 5.5rem;
}

.ref i {
    margin-left: -0.5vw;
    transition: all 1s ease-out;
    color: #ffd51e;
}

.ref:hover i {
    color: transparent;
    animation: fadeInFromRight 3s linear infinite;
}

@keyframes fadeInFromRight {
    0% {
        transform: translateX(0);
        background: linear-gradient(45deg, #ffd51e, #f58800);
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
    }

    20% {
        transform: translateX(3px);
        background: linear-gradient(60deg, #ffd51e, #f58800);
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
    }

    40% {
        transform: translateX(6px);
        background: linear-gradient(75deg, #ffd51e, #f58800);
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
    }

    50% {
        transform: translateX(7.5px);
        background: linear-gradient(90deg, #ffd51e, #f58800);
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
    }

    60% {
        transform: translateX(6px);
        background: linear-gradient(75deg, #ffd51e, #f58800);
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
    }

    80% {
        transform: translateX(3px);
        background: linear-gradient(60deg, #ffd51e, #f58800);
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
    }

    100% {
        transform: translateX(0);
        background: linear-gradient(45deg, #ffd51e, #f58800);
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
    }
}

.ref #reference {
    position: absolute;
    right: 100%;
    width: 50%;
}

#codeImg {
    position: absolute;
    top: 30%;
    transform: translateY(-30%);
    width: 100%;
}

#logos {
    position: absolute;
    top: 30%;
    left: 50%;
    transform: translate(-50%, -30%);
    max-width: 80%;
    transition: opacity 0.5s ease-in-out;
}

.kontakt {
    background-color: #1a464580;
    width: 100%;
    height: 50vh;
    margin-top: 25vw;
    padding-bottom: 30px;
    display: flex;
    justify-content: space-between;
}

.kontakt .map {
    position: relative;
    bottom: calc(30% - 30px);
    max-width: 50%;
    margin-left: 2rem;
}

.kontakt .map img {
    position: relative;
    height: 130%;
    max-width: 100%;
}

.kontakt .map iframe {
    position: absolute;
    right: 0;
    bottom: -30%;
    height: 120%;
    max-width: 90%;
    aspect-ratio: 1;
}

.kontakt .tekst {
    margin-left: 2rem;
    align-self: center;
}

.tekst h2 {
    font-size: 3rem;
    color: #1a4645;
}

.tekst a {
    font-size: 1.5rem;
    color: #1a4645;
}

.tekst p {
    font-size: 2rem;
    color: #1a4645;
}

.tekst #piskot a {
    font-size: 1rem;
    color: #1a4645;
}

.tekst #piskot p {
    font-size: 1.5rem;
    color: #1a4645;
}

.puscici {
    position: absolute;
    font-size: 2rem;
    bottom: -2rem;
    border-radius: 50%;
    background-color: #1a4645;
    width: 2rem;
    aspect-ratio: 1;
    padding: 10px;
    color: #ffffff;
    transition: 1s;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
}

.puscici:hover {
    color: #1a4645;
    background-color: #ffffff;
}

.puscici:hover i {
    animation: fadeInFromBottom 1.5s ease-out infinite;
}

@keyframes fadeInFromBottom {
    0% {
        opacity: 1;
    }

    70% {
        opacity: 1;
    }

    100% {
        opacity: 0;
        transform: translateY(-3rem);
    }
}

footer {
    background-color: #1a4645;
    height: 4rem;
    color: #ffffff;
    font-size: 1rem;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 0 8rem;
}

@media (max-width: 1920px) {

    html {
        font-size: 14px;
    }
}

@media (max-width: 1600px) {

    html {
        font-size: 10px;
    }

    .tekst h2 {
        font-size: 3.5rem;
    }

    .tekst a {
        font-size: 2rem;
    }

    .tekst p {
        font-size: 2.5rem;
    }

    .tekst #piskot a {
        font-size: 1.5rem;
        color: #1a4645;
    }
    
    .tekst #piskot p {
        font-size: 2rem;
        color: #1a4645;
    }
}

@media (max-width: 768px) {

    html {
        font-size: 8px;
    }

    .title {
        font-size: 1.75rem;
    }

    .bg {
        height: calc(100vh - 7rem);
    }

    .banner img {
        opacity: 0.5;
        height: calc(50vh - 3.5rem);
    }

    .coding {
        font-size: 1.75rem;
        letter-spacing: 0.5vw;
    }

    .coding img {
        height: 200%;
    }

    footer {
        height: 5rem;
        font-size: 0.8rem;
    }
}

@media (max-width: 300px) {

    html {
        font-size: 6px;
    }
}

@media (orientation: landscape) {


    @media (max-width: 1024px) {

        html {
            font-size: 8px;
        }
    }

    @media (max-height: 512px) {

        html {
            font-size: 6px;
        }
    }

    @media (max-height: 380px) {

        html {
            font-size: 5px;
        }
    }

    @media (max-height: 300px) {

        html {
            font-size: 4px;
        }
    }
}

@media (orientation: portrait) {

    .knofi {
        flex-direction: column;
    }

    .knofi button {
        margin: 1vh;
    }

    .ref {
        width: 100%;
        justify-content: center;
    }

    .arr {
        display: none !important;
    }

    .ref #reference {
        top: 100%;
        right: 50%;
        transform: translate(50%, 100%);
        width: 50vw;
    }

    #codeImg {
        top: 0;
        transform: translateY(0);
    }

    #logos {
        top: 15vw;
        left: 50%;
    }

    .kontakt {
        flex-direction: column;
        height: auto;
        margin-top: 55vw;
    }

    .kontakt .tekst {
        text-align: center;
        margin-left: 0;
    }

    .kontakt .map {
        margin-top: 0px;
        bottom: -30px;
        max-width: 100%;
        margin-left: 0;
    }

    .kontakt .map img {
        height: auto;
        width: 75%;
        left: 50%;
        transform: translateX(-50%);
    }

    .kontakt .map iframe {
        height: auto;
        width: 65%;
        right: 50%;
        bottom: 0.1%;
        transform: translateX(50%);
    }

    .tekst h2 {
        font-size: 3rem;
        color: #1a4645;
    }

    .tekst a {
        font-size: 1.5rem;
        color: #1a4645;
    }

    .tekst p {
        font-size: 2rem;
        color: #1a4645;
    }

    .tekst #piskot a {
        font-size: 1rem;
        color: #1a4645;
    }
    
    .tekst #piskot p {
        font-size: 1.5rem;
        color: #1a4645;
    }
}